# Google Play Game Services API . revisions

## Instance Methods

Checks whether the games client is out of date.

### Method Details

`check(clientRevision=None, consistencyToken=None)`

    Checks whether the games client is out of date.

    Args:
      clientRevision: string, The revision of the client SDK used by your application. Format:
    [PLATFORM_TYPE]:[VERSION_NUMBER]. Possible values of PLATFORM_TYPE are:

    - "ANDROID" - Client is running the Android SDK.
    - "IOS" - Client is running the iOS SDK.
    - "WEB_APP" - Client is running as a Web App. (required)
      consistencyToken: string, The last-seen mutation timestamp.

    Returns:
      An object of the form:

        { # This is a JSON template for the result of checking a revision.
        "kind": "games#revisionCheckResponse", # Uniquely identifies the type of this resource. Value is always the fixed string games#revisionCheckResponse.
        "revisionStatus": "A String", # The result of the revision check.
            # Possible values are:
            # - "OK" - The revision being used is current.
            # - "DEPRECATED" - There is currently a newer version available, but the revision being used still works.
            # - "INVALID" - The revision being used is not supported in any released version.
        "apiVersion": "A String", # The version of the API this client revision should use when calling API methods.
      }